<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
FilteredListCollection
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.FilteredListCollection class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="FilteredListCollection";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FilteredListCollection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/util/ExceptionUtil.html" title="class in ch.javasoft.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/util/FilteredListCollection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FilteredListCollection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util</FONT>
<BR>
Class FilteredListCollection&lt;E&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.FilteredListCollection&lt;E&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;E&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.50"><B>FilteredListCollection&lt;E&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;</DL>
</PRE>

<P>
The <code>FilteredList</code> is a collection based on an underlying list. 
 Elements of the list can be <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#setSelected(int, boolean)"><CODE>selected</CODE></A>, 
 hence this collection is basically a view on a assorted elements from the
 underlying list.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#FilteredListCollection(java.util.List)">FilteredListCollection</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;&nbsp;unfiltered)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#add(E)">add</A></B>(<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Appends the specified element to the end of the underlying
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> and hence also to the end of
 this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#addAll(java.util.Collection)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds all of the elements in the specified collection to this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all of the elements from this collection as well as from the
 underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#contains(java.lang.Object)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if this collection contains the specified
 element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#containsAll(java.util.Collection)">containsAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if this collection contains all of the elements
 in the specified collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Compares the specified object with this collection for equality.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()">getUnfilteredList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the underlying unfiltered list that was passed to the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#FilteredListCollection(java.util.List)"><CODE>constructor</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the hash code value for this filtered list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if this collection contains no selected elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)">isSelected</A></B>(int&nbsp;unfilteredIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the element specified by the index in the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> is selected in this list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#iterator()">iterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an iterator over the elements in this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#remove(java.lang.Object)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes a single instance of the specified element from this
 collection, if it is present and currently <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#removeAll(java.util.Collection)">removeAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all this collection's elements that are selected and also 
 contained in the specified collection (optional operation).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#retainAll(java.util.Collection)">retainAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Retains only the selected elements in this collection that are contained 
 in the specified collection (optional operation).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#selectAll()">selectAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Selects all elements from the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#setSelected(int, boolean)">setSelected</A></B>(int&nbsp;unfilteredIndex,
                       boolean&nbsp;selected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the selected state of the element specified by the index in the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of elements in this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#toArray()">toArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing all of the elements in this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#toArray(T[])">toArray</A></B>(T[]&nbsp;a)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing all of the elements in this collection; 
 the runtime type of the returned array is that of the specified array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#unselectAll()">unselectAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unselects all elements from the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FilteredListCollection(java.util.List)"><!-- --></A><H3>
FilteredListCollection</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.55"><B>FilteredListCollection</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;&nbsp;unfiltered)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getUnfilteredList()"><!-- --></A><H3>
getUnfilteredList</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt; <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.64"><B>getUnfilteredList</B></A>()</PRE>
<DL>
<DD>Returns the underlying unfiltered list that was passed to the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#FilteredListCollection(java.util.List)"><CODE>constructor</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the underlying unfiltered list</DL>
</DD>
</DL>
<HR>

<A NAME="isSelected(int)"><!-- --></A><H3>
isSelected</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.78"><B>isSelected</B></A>(int&nbsp;unfilteredIndex)</PRE>
<DL>
<DD>Returns true if the element specified by the index in the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> is selected in this list.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>unfilteredIndex</CODE> - the index in the original 
                                                        <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>
<DT><B>Returns:</B><DD>true if this element is selected and thus visible in this list
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the <code>unfilteredIndex</code> is
                                                                                out of bounds</DL>
</DD>
</DL>
<HR>

<A NAME="setSelected(int, boolean)"><!-- --></A><H3>
setSelected</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.96"><B>setSelected</B></A>(int&nbsp;unfilteredIndex,
                        boolean&nbsp;selected)</PRE>
<DL>
<DD>Sets the selected state of the element specified by the index in the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. The selected state 
 determines if the referred element is visible in this list or not.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>unfilteredIndex</CODE> - the index in the original 
                                                        <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A><DD><CODE>selected</CODE> - if true, the element will be visible in this list
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the <code>unfilteredIndex</code> is
                                                                                out of bounds</DL>
</DD>
</DL>
<HR>

<A NAME="selectAll()"><!-- --></A><H3>
selectAll</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.110"><B>selectAll</B></A>()</PRE>
<DL>
<DD>Selects all elements from the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. This collection and the
 unfiltered list contain the same elements after calling this method.
 Individual elements can be <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#setSelected(int, boolean)"><CODE>unselected</CODE></A> 
 subsequently.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="unselectAll()"><!-- --></A><H3>
unselectAll</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.120"><B>unselectAll</B></A>()</PRE>
<DL>
<DD>Unselects all elements from the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. This collection is 
 virtually empty after calling this method. Individual elements can be 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#setSelected(int, boolean)"><CODE>selected</CODE></A> subsequently.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.Object)"><!-- --></A><A NAME="add(E)"><!-- --></A><H3>
add</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.157"><B>add</B></A>(<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&nbsp;o)</PRE>
<DL>
<DD>Appends the specified element to the end of the underlying
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> and hence also to the end of
 this collection. The added element is by default
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A>. Returns 
 <tt>true</tt> if this collection changed as a result of the call.  
 (Returns <tt>false</tt> if the underlying 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does not permit duplicates 
 and already contains the specified element.)
 <p>
 The <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> might not support this
 operation or place limitations on what elements may be added 
 (like <code>null</code> values).
 <p>
 It is an invariant that this collection always contains the specified 
 element after this call returns.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#add(E)" title="class or interface in java.util">add</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>o</CODE> - element whose presence in this collection is to be ensured.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection changed as a result of the
         call
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - <tt>add</tt> is not supported by
         the underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - class of the specified element prevents it
         from being added to the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified element is null and the
         the underlying  <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does 
         not support null elements.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - some aspect of this element prevents
         it from being added to the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.200"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;&nbsp;c)</PRE>
<DL>
<DD>Adds all of the elements in the specified collection to this collection.
 The behavior of this operation is undefined if the specified collection 
 is modified while the operation is in progress. (This implies that the 
 behavior of this call is undefined if the specified collection is this 
 collection, and this collection is nonempty.)
 <p>
 All elements are appended at the end of the underlying
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> and hence also to the end of
 this collection. The added elements are by default
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A>. Returns 
 <tt>true</tt> if this collection changed as a result of the call.  
 <p>
 The <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> might not support this
 operation or place limitations on what elements may be added 
 (like <code>null</code> values).
 <p>
 It is an invariant that this collection always contains all the specified 
 elements after this call returns.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>c</CODE> - elements to be inserted into this collection.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection changed as a result of the
         call
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does not support the 
         <tt>addAll</tt> method.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the class of an element of the specified
               collection prevents it from being added to the underlying
               <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified collection contains one
         or more null elements and the underlying
               <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does not support
               null elements, or if the specified collection is <tt>null</tt>.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - some aspect of an element of the
               specified collection prevents it from being added to the
               underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#add(E)"><CODE>add(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.218"><B>clear</B></A>()</PRE>
<DL>
<DD>Removes all of the elements from this collection as well as from the
 underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. This collection 
 will be empty after this method returns unless it throws an exception.
 <p>
 An alternative to removing all elements is  
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#unselectAll()"><CODE>unselecting all</CODE></A> or elements. This also virtually
 removes all elements from this list, but does not affect the underlying
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if the <tt>clear</tt> method is
         not supported by the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.240"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD>Returns <tt>true</tt> if this collection contains the specified
 element. The elements in this collection are the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> elements from the
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
 <p>
 More formally, returns <tt>true</tt> if and only if this
 collection contains at least one element <tt>e</tt> such that
 <tt>(o==null ? e==null : o.equals(e))</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>o</CODE> - element whose presence in this collection is to be tested.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection contains the specified
         element
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the type of the specified element
               is incompatible with this collection (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified element is null and this
         collection does not support null elements (optional).</DL>
</DD>
</DL>
<HR>

<A NAME="containsAll(java.util.Collection)"><!-- --></A><H3>
containsAll</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.265"><B>containsAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD>Returns <tt>true</tt> if this collection contains all of the elements
 in the specified collection. The elements in this collection are the 
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> elements from the
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>c</CODE> - collection to be checked for containment in this collection.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection contains all of the elements
               in the specified collection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the types of one or more elements
         in the specified collection are incompatible with the underlying
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified collection contains one
         or more null elements and the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does not support 
         null elements (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified collection is
         <tt>null</tt>.<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#contains(java.lang.Object)"><CODE>contains(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.291"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD>Compares the specified object with this collection for equality. Returns
 <tt>true</tt> if either (i) the other object is not a filtered list and
 <tt>o.equals(this)</tt> returns true, or (ii) the other object is also a 
 filtered list, both collections have the same size, and all corresponding 
 pairs of elements in the two collections are <i>equal</i>. 
 (Two elements <tt>e1</tt> and <tt>e2</tt> are <i>equal</i> if 
 <tt>(e1==null ? e2==null : e1.equals(e2))</tt>.).
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>o</CODE> - the object to be compared for equality with this list.
<DT><B>Returns:</B><DD><tt>true</tt> if the specified object is equal to this filtered 
                                                 list.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang"><CODE>Object.equals(Object)</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#equals(java.lang.Object)" title="class or interface in java.util"><CODE>Collection.equals(Object)</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html#equals(java.lang.Object)" title="class or interface in java.util"><CODE>Set.equals(Object)</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util"><CODE>List.equals(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.331"><B>hashCode</B></A>()</PRE>
<DL>
<DD>Returns the hash code value for this filtered list.  The hash code of a
 filtered list is defined to be the result of the following calculation:
 <pre>
  hashCode = 1;
  Iterator it = iterator();
  while (it.hasNext()) {
      Object obj = it.next();
      hashCode = 31*hashCode + (obj==null ? 0 : obj.hashCode());
  }
 </pre>
 This ensures that <tt>list1.equals(list2)</tt> implies that
 <tt>list1.hashCode()==list2.hashCode()</tt> for any two filtered lists,
 <tt>list1</tt> and <tt>list2</tt>, as required by the general
 contract of <tt>Object.hashCode</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#hashCode()" title="class or interface in java.util">hashCode</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the hash code value for this filtered list.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang"><CODE>Object.hashCode()</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang"><CODE>Object.equals(Object)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/FilteredListCollection.html#equals(java.lang.Object)"><CODE>equals(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.346"><B>isEmpty</B></A>()</PRE>
<DL>
<DD>Returns <tt>true</tt> if this collection contains no selected elements.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>true</tt> if this collection contains no selected elements</DL>
</DD>
</DL>
<HR>

<A NAME="iterator()"><!-- --></A><H3>
iterator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt; <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.359"><B>iterator</B></A>()</PRE>
<DL>
<DD>Returns an iterator over the elements in this collection. The elements 
 in this collection are the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> elements 
 from the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. The order in the
 unfiltered list is preserved by the returned iterator.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html#iterator()" title="class or interface in java.lang">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#iterator()" title="class or interface in java.util">iterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an <tt>Iterator</tt> over the selected elements in this collection</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object)"><!-- --></A><H3>
remove</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.407"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;o)</PRE>
<DL>
<DD>Removes a single instance of the specified element from this
 collection, if it is present and currently <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A>. 
 More formally, removes an element <tt>e</tt> such that 
 <tt>(o==null ?  e==null : o.equals(e))</tt>, if this collection contains 
 one or more such elements.  Returns true if this collection contained the 
 specified element (or equivalently, if this collection changed as a 
 result of the call).
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>o</CODE> - element to be removed from this collection, if present and 
                                        selected.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection changed as a result of the
         call
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the type of the specified element
               is incompatible with the underlying 
         <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified element is null and the
         underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A> does not 
         support null elements (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - remove is not supported by the
         underlying <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.</DL>
</DD>
</DL>
<HR>

<A NAME="removeAll(java.util.Collection)"><!-- --></A><H3>
removeAll</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.468"><B>removeAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD>Removes all this collection's elements that are selected and also 
 contained in the specified collection (optional operation).  After this 
 call returns, this collection will contain no elements in common with the 
 specified collection.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>c</CODE> - elements to be removed from this collection.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection changed as a result of the
         call
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if the <tt>remove</tt> method
               is not supported by the underlying
               <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the types of one or more elements
         in this collection are incompatible with the specified
         collection (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if this collection contains one or more
         null elements and the specified collection does not support
         null elements (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified collection is
         <tt>null</tt>.<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#remove(java.lang.Object)"><CODE>remove(Object)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/FilteredListCollection.html#contains(java.lang.Object)"><CODE>contains(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="retainAll(java.util.Collection)"><!-- --></A><H3>
retainAll</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.505"><B>retainAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD>Retains only the selected elements in this collection that are contained 
 in the specified collection (optional operation).  In other words, 
 removes from this collection all of its elements that are not contained 
 in the specified collection.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>c</CODE> - elements to be retained in this collection.
<DT><B>Returns:</B><DD><tt>true</tt> if this collection changed as a result of the
         call
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if the <tt>remove</tt> method
               is not supported by the underlying
               <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ClassCastException.html" title="class or interface in java.lang">ClassCastException</A></CODE> - if the types of one or more elements
         in this collection are incompatible with the specified
         collection (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if this collection contains one or more
         null elements and the specified collection does not support null 
         elements (optional).
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified collection is
         <tt>null</tt>.<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/util/FilteredListCollection.html#remove(java.lang.Object)"><CODE>remove(Object)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/FilteredListCollection.html#contains(java.lang.Object)"><CODE>contains(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.529"><B>size</B></A>()</PRE>
<DL>
<DD>Returns the number of elements in this collection. The elements in this
 collection are the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> elements from the
 <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>.   
 
 <p>
 If this collection contains more than <tt>Integer.MAX_VALUE</tt> 
 elements, returns <tt>Integer.MAX_VALUE</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of selected elements in this collection</DL>
</DD>
</DL>
<HR>

<A NAME="toArray()"><!-- --></A><H3>
toArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.549"><B>toArray</B></A>()</PRE>
<DL>
<DD>Returns an array containing all of the elements in this collection. The 
 elements  in this collection are the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> 
 elements from the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. The order 
 in the unfiltered list is preserved by the returned iterator.      
 <p>
 The returned array will be "safe" in that no references to it are
 maintained by this collection.  (In other words, this method must
 allocate a new array even if this collection is backed by an array).
 The caller is thus free to modify the returned array.<p>

 This method acts as bridge between array-based and collection-based
 APIs.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#toArray()" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an array containing the selected elements from this collection</DL>
</DD>
</DL>
<HR>

<A NAME="toArray(java.lang.Object)"><!-- --></A><A NAME="toArray(T[])"><!-- --></A><H3>
toArray</H3>
<PRE>
public &lt;T&gt; T[] <A HREF="../../../src-html/ch/javasoft/util/FilteredListCollection.html#line.599"><B>toArray</B></A>(T[]&nbsp;a)</PRE>
<DL>
<DD>Returns an array containing all of the elements in this collection; 
 the runtime type of the returned array is that of the specified array.  
 If the collection fits in the specified array, it is returned therein.  
 Otherwise, a new array is allocated with the runtime type of the 
 specified array and the size of this collection.<p>

 If this collection fits in the specified array with room to spare
 (i.e., the array has more elements than this collection), the element
 in the array immediately following the end of the collection is set to
 <tt>null</tt>.  This is useful in determining the length of this
 collection <i>only</i> if the caller knows that this collection does
 not contain any <tt>null</tt> elements.)<p>

 The elements  in this collection are the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#isSelected(int)"><CODE>selected</CODE></A> 
 elements from the <A HREF="../../../ch/javasoft/util/FilteredListCollection.html#getUnfilteredList()"><CODE>unfiltered list</CODE></A>. The order 
 in the unfiltered list is preserved by the returned iterator.      
 <p>

 Like the <tt>toArray</tt> method, this method acts as bridge between
 array-based and collection-based APIs.  Further, this method allows
 precise control over the runtime type of the output array, and may,
 under certain circumstances, be used to save allocation costs<p>

 Suppose <tt>l</tt> is a <tt>List</tt> known to contain only strings.
 The following code can be used to dump the list into a newly allocated
 array of <tt>String</tt>:

 <pre>
     String[] x = (String[]) v.toArray(new String[0]);
 </pre><p>

 Note that <tt>toArray(new Object[0])</tt> is identical in function to
 <tt>toArray()</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../ch/javasoft/util/FilteredListCollection.html" title="type parameter in FilteredListCollection">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>a</CODE> - the array into which the elements of this collection are to be
        stored, if it is big enough; otherwise, a new array of the same
        runtime type is allocated for this purpose.
<DT><B>Returns:</B><DD>an array containing the selected elements of this collection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArrayStoreException.html" title="class or interface in java.lang">ArrayStoreException</A></CODE> - the runtime type of the specified array is
         not a supertype of the runtime type of every element in this
         collection.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if the specified array is <tt>null</tt>.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FilteredListCollection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/util/ExceptionUtil.html" title="class in ch.javasoft.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/util/FilteredListCollection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FilteredListCollection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
